## fo-percentage

fo-percentage —

## Synopsis

    struct      FoPercentage;
    struct      FoPercentageClass;
    FoDatatype* fo_percentage_new               (void);
    FoDatatype* fo_percentage_new_with_value    (gdouble value);
    gdouble     fo_percentage_get_value         (FoDatatype *percentage);
    void        fo_percentage_set_value         (FoDatatype *percentage,
                                                 gdouble new_value);

    FoDatatype* fo_percentage_get_percentage_hundred
                                                (void);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoPercentage

## Properties

      "value"                gdouble              : Read / Write

## Description

## Details

### struct FoPercentage

    struct FoPercentage;

### struct FoPercentageClass

    struct FoPercentageClass;

### fo_percentage_new ()

    FoDatatype* fo_percentage_new               (void);

Creates a new FoPercentage initialized to default value.

Returns : | the new FoPercentage.

### fo_percentage_new_with_value ()

    FoDatatype* fo_percentage_new_with_value    (gdouble value);

Creates a new FoPercentage initialized to value of `value`. For example, fo_percentage_new_with_value(100) creates a new FoPercentage with value equal to 100%.

`value` : | Value of new FoPercentage.
Returns : | the new FoPercentage.

### fo_percentage_get_value ()

    gdouble     fo_percentage_get_value         (FoDatatype *percentage);

Get the value of `percentage`.

`percentage` : | FoPercentage.
Returns : | Numeric value of `percentage`.

### fo_percentage_set_value ()

    void        fo_percentage_set_value         (FoDatatype *percentage,
                                                 gdouble new_value);

Set the value of `percentage`.

`percentage` : | FoPercentage.
`new_value` : | New value for `percentage`.

### fo_percentage_get_percentage_hundred ()

    FoDatatype* fo_percentage_get_percentage_hundred
                                                (void);

Get an FoPercentage with the well-known value of 100%.

Returns : | The FoPercentage.

## Properties

"`value`" (gdouble : Read / Write) | Percentage value.